Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1212904 - better integration with standalone (unbundled) clufter package for cluster configuration conversion [NEEDINFO]
Summary: better integration with standalone (unbundled) clufter package for cluster co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Tomas Jelinek
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
: 1159375 (view as bug list)
Depends On: 1133897 1148838
Blocks: 596327 1264795
TreeView+ depends on / blocked
 
Reported: 2015-04-17 15:53 UTC by Jan Pokorný [poki]
Modified: 2015-11-19 09:36 UTC (History)
12 users (show)

Fixed In Version: pcs-0.9.140-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1133897
: 1264795 (view as bug list)
Environment:
Last Closed: 2015-11-19 09:36:48 UTC
Target Upstream Version:
jpokorny: needinfo? (snagar)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2290 normal SHIPPED_LIVE Moderate: pcs security, bug fix, and enhancement update 2015-11-19 09:43:53 UTC

Description Jan Pokorný [poki] 2015-04-17 15:53:19 UTC
+++ This bug was initially created as a clone of Bug #1133897 +++

In the mentioned 7.1 bug, the aim was in providing initial/TechPreview
feature to allow the users of the old (not-pcs-managed) cluster stack
to migrate to the new one (pcs-friendly) while retaining the original
configuration in the conversion process as completely as possible.
This functionality is provided by clufter project code base of which
was for time pressing reasons bundled as a subpackage of pcs.

As the clufter is usable on its own (via "clufter" command provided)
and the relationship to pcs is not so tight to justify the burden of
a shared comaintenance of single SRPM, unbundling/split into a separate
component is planned (as already happened for RHEL 6.7 timeframe, where
standalone clufter has been included).
 
Hence this bug serves to track the relevant tasks on the pcs side:

1. get rid of clufter bundling (i.e., restore the state prior to RHEL 7.1
   where clufter was first introduced in 7.* line)

2. possibly teach pcs to facilitate "conversion to pcs commands"
   (starting with either old stack configuration, or actual file-level
   configuration of the new stack); see [bug 1171312 comment 13]

Comment 1 Jan Pokorný [poki] 2015-04-17 17:36:26 UTC
Inclusion of clufter as a standalone package is tracked as [bug 1212909]
and is a (partial - point 1. from above) prerequisite for this one.

Comment 2 Tomas Jelinek 2015-04-20 12:18:26 UTC
*** Bug 1159375 has been marked as a duplicate of this bug. ***

Comment 6 Tomas Jelinek 2015-06-04 14:50:30 UTC
Clufter has been moved to a standalone package.
Conversion of a cluster configuration to a sequence of pcs commands is not ready yet on clufter's side.

Comment 7 Jan Pokorný [poki] 2015-06-05 09:33:10 UTC
re [comment 0]:
> Hence this bug serves to track the relevant tasks on the pcs side:

TODO checklist revmap:
1. get rid of clufter bundling -- DONE
2. possibly teach pcs to facilitate "conversion to pcs commands"
3. propagate information about whether to use colorization of
   clufter library output when run from within pcs
   - in that case, clufter can have incorrect information whether it
     is outputting to terminal (can be run in pseudo-terminal) to
     that piece of information detected directly by pcs should be
     passed down the call-chain

Comment 11 errata-xmlrpc 2015-11-19 09:36:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2290.html


Note You need to log in before you can comment on or make changes to this bug.